
/****** Object:  View [dbo].[vMessaggi]    Script Date: 23/02/2023 16:45:33 ******/
DROP VIEW [dbo].[vMessaggi]
GO

/****** Object:  View [dbo].[vMessaggi]    Script Date: 23/02/2023 16:45:33 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE VIEW [dbo].[vMessaggi]
AS
SELECT        dbo.Messaggi.IDMessaggio, dbo.Messaggi.IDDL, dbo.Messaggi.TipoMessaggio, dbo.Messaggi.Data, dbo.Messaggi.Oggetto, dbo.Messaggi.DataInizioValidita, dbo.Messaggi.DataFineValidita, dbo.Messaggi.Priorita, 
                         dbo.Messaggi.Testo, dbo.Messaggi.DataCreazione, dbo.Messaggi.DataUltimoAggiornamento, dbo.Messaggi.IDUtente, dbo.Messaggi.InfoRivDataInvio, dbo.Messaggi.IDUscita, dbo.Messaggi.IDBolla, 
                         dbo.Messaggi.IDEstrattoConto, dbo.Messaggi.Riferito, dbo.Uscite.IDProd, dbo.vDL.RagioneSociale, dbo.vDL.CodiceFIEG, dbo.Uscite.IDProdotto, dbo.Documenti.Numero, dbo.TipiDocumento.TipoBollaInforiv, 
                         dbo.EstrattiConto.Numero AS NumeroEC, dbo.Messaggi.letto
FROM            dbo.EstrattiConto RIGHT OUTER JOIN
                         dbo.Messaggi INNER JOIN
                         dbo.vDL ON dbo.Messaggi.IDDL = dbo.vDL.IDSoggetto ON dbo.EstrattiConto.IDEstrattoConto = dbo.Messaggi.IDEstrattoConto LEFT OUTER JOIN
                         dbo.TipiDocumento RIGHT OUTER JOIN
                         dbo.Documenti ON dbo.TipiDocumento.IDTipoDocumento = dbo.Documenti.IDTipoDocumento ON dbo.Messaggi.IDBolla = dbo.Documenti.IDDocumento LEFT OUTER JOIN
                         dbo.Uscite ON dbo.Messaggi.IDUscita = dbo.Uscite.IDUscita

GO

EXEC sys.sp_addextendedproperty @name=N'MS_DiagramPane1', @value=N'[0E232FF0-B466-11cf-A24F-00AA00A3EFFF, 1.00]
Begin DesignProperties = 
   Begin PaneConfigurations = 
      Begin PaneConfiguration = 0
         NumPanes = 4
         Configuration = "(H (1[40] 4[20] 2[20] 3) )"
      End
      Begin PaneConfiguration = 1
         NumPanes = 3
         Configuration = "(H (1 [50] 4 [25] 3))"
      End
      Begin PaneConfiguration = 2
         NumPanes = 3
         Configuration = "(H (1 [50] 2 [25] 3))"
      End
      Begin PaneConfiguration = 3
         NumPanes = 3
         Configuration = "(H (4 [30] 2 [40] 3))"
      End
      Begin PaneConfiguration = 4
         NumPanes = 2
         Configuration = "(H (1 [56] 3))"
      End
      Begin PaneConfiguration = 5
         NumPanes = 2
         Configuration = "(H (2 [66] 3))"
      End
      Begin PaneConfiguration = 6
         NumPanes = 2
         Configuration = "(H (4 [50] 3))"
      End
      Begin PaneConfiguration = 7
         NumPanes = 1
         Configuration = "(V (3))"
      End
      Begin PaneConfiguration = 8
         NumPanes = 3
         Configuration = "(H (1[56] 4[18] 2) )"
      End
      Begin PaneConfiguration = 9
         NumPanes = 2
         Configuration = "(H (1 [75] 4))"
      End
      Begin PaneConfiguration = 10
         NumPanes = 2
         Configuration = "(H (1[66] 2) )"
      End
      Begin PaneConfiguration = 11
         NumPanes = 2
         Configuration = "(H (4 [60] 2))"
      End
      Begin PaneConfiguration = 12
         NumPanes = 1
         Configuration = "(H (1) )"
      End
      Begin PaneConfiguration = 13
         NumPanes = 1
         Configuration = "(V (4))"
      End
      Begin PaneConfiguration = 14
         NumPanes = 1
         Configuration = "(V (2))"
      End
      ActivePaneConfig = 0
   End
   Begin DiagramPane = 
      Begin Origin = 
         Top = 0
         Left = 0
      End
      Begin Tables = 
         Begin Table = "EstrattiConto"
            Begin Extent = 
               Top = 6
               Left = 38
               Bottom = 136
               Right = 271
            End
            DisplayFlags = 280
            TopColumn = 0
         End
         Begin Table = "Messaggi"
            Begin Extent = 
               Top = 138
               Left = 38
               Bottom = 268
               Right = 271
            End
            DisplayFlags = 280
            TopColumn = 14
         End
         Begin Table = "vDL"
            Begin Extent = 
               Top = 270
               Left = 38
               Bottom = 400
               Right = 240
            End
            DisplayFlags = 280
            TopColumn = 0
         End
         Begin Table = "TipiDocumento"
            Begin Extent = 
               Top = 402
               Left = 38
               Bottom = 532
               Right = 258
            End
            DisplayFlags = 280
            TopColumn = 0
         End
         Begin Table = "Documenti"
            Begin Extent = 
               Top = 534
               Left = 38
               Bottom = 664
               Right = 248
            End
            DisplayFlags = 280
            TopColumn = 0
         End
         Begin Table = "Uscite"
            Begin Extent = 
               Top = 666
               Left = 38
               Bottom = 796
               Right = 299
            End
            DisplayFlags = 280
            TopColumn = 0
         End
      End
   End
   Begin SQLPane = 
   End
   Begin DataPane = 
      Begin ParameterDefaults = ""
      End
   End
   Begin CriteriaPane = 
      Begin ColumnWidths = 11
         Column = 1440
     ' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'VIEW',@level1name=N'vMessaggi'
GO

EXEC sys.sp_addextendedproperty @name=N'MS_DiagramPane2', @value=N'    Alias = 900
         Table = 1170
         Output = 720
         Append = 1400
         NewValue = 1170
         SortType = 1350
         SortOrder = 1410
         GroupBy = 1350
         Filter = 1350
         Or = 1350
         Or = 1350
         Or = 1350
      End
   End
End
' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'VIEW',@level1name=N'vMessaggi'
GO

EXEC sys.sp_addextendedproperty @name=N'MS_DiagramPaneCount', @value=2 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'VIEW',@level1name=N'vMessaggi'
GO
